Bug 971747 - gdk_pixbuf_animation_new_from_file coredumps on corrupted animation
gdk_pixbuf_animation_new_from_file coredumps on corrupted animation
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdk-pixbuf2 (Show other bugs)
19
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 04:25 EDT by Karel Srot
Modified: 2015-02-17 10:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 971749 (view as bug list)
Environment:
Last Closed: 2015-02-17 10:29:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
standalone reproducer (1.09 KB, application/x-gzip)
2013-06-07 04:26 EDT, Karel Srot
no flags Details

  None (edit)
Description Karel Srot 2013-06-07 04:25:50 EDT
Description of problem:

This seems to be a regression against F18. It is causing following failures in LSB test suite:
https://lsbbugs.linuxfoundation.org/show_bug.cgi?id=3798

Standalone reproducer attached.

Fedora 18:

# rpm -q gdk-pixbuf2
gdk-pixbuf2-2.26.5-1.fc18.x86_64
# gcc test.c -o test `pkg-config --libs gtk+-2.0` `pkg-config --cflags gtk+-2.0`
# ./test 

(test:12556): GdkPixbuf-WARNING **: Bug! gdk-pixbuf loader 'ani' didn't set an error on failure.
error message: Failed to load animation 'hand_corrupted.ani': reason not known, probably a corrupt animation file


Fedora 19:

# rpm -q gdk-pixbuf2
gdk-pixbuf2-2.28.1-1.fc19.x86_64
# gcc test.c -o test `pkg-config --libs gtk+-2.0` `pkg-config --cflags gtk+-2.0`
# ./test
**
GdkPixbuf:ERROR:gdk-pixbuf-animation.c:252:gdk_pixbuf_animation_new_from_file: assertion failed: (animation)
Aborted (core dumped)
Comment 1 Karel Srot 2013-06-07 04:26:17 EDT
Created attachment 758038 [details]
standalone reproducer
Comment 2 Matthias Clasen 2013-06-07 18:21:48 EDT
Thanks for the nice test case !
I've pushed a fix upstream, will make a release in time for f19
Comment 3 Fedora End Of Life 2015-01-09 13:21:20 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 10:29:30 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.